<template>
  <div id="read">
    <admin-frame @search="search" :limit="limit" :total="total" topType="2" @back="back" :rightArrow="false" :useNav="false">
      <template v-slot:info>
        <list-1 :list="list" @toEdit="toEdit"></list-1>
      </template>
    </admin-frame>
  </div>
</template>

<script>
import list1 from '@/layout/notice/list-1.vue';
import adminFrame from '@frame/src/components/mobile-frame/mobile-main.vue';
import { mapState, createNamespacedHelpers } from 'vuex';
const { mapActions: patentnotice } = createNamespacedHelpers('patentnotice');
export default {
  name: 'read',
  props: {},
  components: {
    adminFrame,
    list1,
  },
  data: function () {
    return {
      limit: 5,
      total: 0,
      list: [],
    };
  },
  async created() {
    this.search();
  },
  methods: {
    ...patentnotice(['query', 'update']),
    async search({ skip = 0, limit = this.limit, ...info } = {}) {
      info.to_id = this.user._id;
      let res = await this.query({ skip, limit, ...info });
      if (this.$checkRes(res)) {
        this.$set(this, `list`, res.data);
        this.$set(this, `total`, res.total);
      }
    },
    // 消息已读
    async toEdit(data) {
      data.is_read = true;
      let res = await this.update(data);
      if (this.$checkRes(res)) {
        this.$toast({ type: `success`, message: `操作完成` });
        this.search();
      }
    },
    // 返回
    back() {
      this.$router.push({ path: '/patent/index' });
    },
  },
  computed: {
    ...mapState(['user']),
  },
  metaInfo() {
    return { title: this.$route.meta.title };
  },
  watch: {
    test: {
      deep: true,
      immediate: true,
      handler(val) {},
    },
  },
};
</script>

<style lang="less" scoped></style>
